Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter jalur
name
string
diperlukan
Name of the model.
version
string
diperlukan
Version of the model.
Isi Permintaan
The credential request request body.
blobUri
string
diperlukan
Blob URI of the model asset to fetch credentials for.
Respons
The request has succeeded.
Isi
blobReference
BlobReference
diperlukan
Blob reference details.
blobUri
string
diperlukan
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
diperlukan
ARM ID of the storage account to use.
credential
SasCredential
diperlukan
SAS Credential definition
sasUri
string
diperlukan
SAS uri
type
enum
diperlukan
Type of credential
Minta
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json